Subject: Invisible parts and editing - reveal them?

From: Lennart Borgman <[email-masked]>
Date: Mon, 30 Aug 2010 20:08:22 +0200

In reveal-mode hidden parts gets shown when you found a hit there with
isearch. That is very useful.

However when you edit such parts they normally do not get visible even
if reveal-mode is on. This is a problem for example if you are using
viper and do "o" to open a new line below the current line when the
lines below are hidden. (I am sure there are other examples with
default Emacs commands. Please give examples.)

This hits quite often in org-mode.

Could we please add some mechanism to show the point when this happen?